---
title: WEBGL_compressed_texture_astc.getSupportedProfiles()
slug: Web/API/WEBGL_compressed_texture_astc/getSupportedProfiles
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL extension
  - WebGL extensions
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WEBGL_compressed_texture_astc.getSupportedProfiles()</code></strong> method returns an array of strings containing the names of the ASTC profiles supported by the implementation.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">sequence&lt;DOMString&gt; <var>ext</var>.getSupportedProfiles();
</pre>

<h3 id="Return_value">Return value</h3>

<p>An {{jsxref("Array")}} of {{domxref("DOMString")}} elements indicating which ASTC profiles are supported by the implementation. Currently, this can be:</p>

<ul>
 <li>"ldr": Low Dynamic Range.</li>
 <li>"hdr": High Dynamic Range.</li>
</ul>

<p>Dynamic range refers to ratio between the brightest and darkest parts of the scene. Low dynamic ranges are for example JPEG format images which won't exceed 255:1, or CRT monitors which won't exceed 100:1. An HDR image stores pixel values that span the whole tonal range of real-world scenes (100,000:1).</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var ext = gl.getExtension('WEBGL_compressed_texture_astc');
ext.getSupportedProfiles(); // ["ldr"]</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WEBGL_compressed_texture_astc', '', 'WEBGL_compressed_texture_astc')}}</td>
   <td>{{Spec2('WEBGL_compressed_texture_astc')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WEBGL_compressed_texture_astc.getSupportedProfiles")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WEBGL_compressed_texture_astc")}}</li>
</ul>
